package com.huabei.credit.handler;

import com.baomidou.mybatisplus.core.handlers.MetaObjectHandler;
import com.huabei.credit.common.LocalUser;
import com.huabei.credit.model.UserDO;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.reflection.MetaObject;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * Description:元对象字段填充控制器实现类，实现公共字段自动写入
 *
 * @author lgs
 * @date 2023/04/25
 */
@Component
@Slf4j
public class MybatisFillHandler implements MetaObjectHandler {
    /**
     * insert时候给默认值
     *
     * @param metaObject
     */
    @Override
    public void insertFill(MetaObject metaObject) {
        this.setFieldValByName("createTime", new Date(), metaObject);
        UserDO localUser = LocalUser.getLocalUser();
        if (localUser != null) {
            this.setFieldValByName("createBy", localUser.getId(), metaObject);
        }

    }

    /**
     * 修改的时候给默认值
     *
     * @param metaObject
     */
    @Override
    public void updateFill(MetaObject metaObject) {
        this.setFieldValByName("updateTime", new Date(), metaObject);
        UserDO localUser = LocalUser.getLocalUser();
        if (localUser != null) {
            this.setFieldValByName("updateBy", localUser.getId(), metaObject);
        }
    }
}
